<?php
/*
 * CMS管理システム設定ファイル
 * Copyright (c) 2010-2016 by Crytus All rights reserved.
 */
// スクリプトの漢字コード（このファイルの漢字コードと一致させてください）
//define("SCRIPT_ENCODING", "SJIS");	// Shift-JISの場合先頭の'//'を取ります。
define("SCRIPT_ENCODING", "UTF-8");	// UTF-8の場合先頭の'//'を取ります。

// GoogleMapのキーを設定します（javascriptとgeocoodingの利用を可能にしてください）
//define("GOOGLEMAPKEY", "ここにキーが入ります");
define("GOOGLEMAPKEY", "AIzaSyBQ5RKWG37DoH4QD4zaYyxFdmQlBWteG9g");

// データベースファイルの場所と名前
$db_file = "data/cmsdb.sqlite";
//
$mysql_db = "";
$mysql_server = "";
$mysql_id = "";
$mysql_pass = "";

// MySQL
if ($mysql_db && $mysql_server && $mysql_id && $mysql_pass) {
	$DB_URI = array(
		"db" => "mysql:dbname={$mysql_db};host={$mysql_server}",
		"user" => $mysql_id,
		"password" => $mysql_pass,
	);
}
// SQLite3
if ($db_file) {
	$DB_URI = array(
		"db" => "sqlite:" . $db_file,
		"user" => "",
		"password" => "",
	);
}

// 一覧の1ページあたりの表示件数
define("PAGE_LIMIT", 10);	// 10件

// 自動新着表示の設定
define("NEW_DAYS", 7);		// 自動新着表示の日数。現在は１週間（7）に設定。
define("NEW_AND", 1);

//-------------------------------------------------------------
// 設定
$setup = array(
	"midashi" => "登録情報",
	// 扱う情報の種類。"5"以降も追加可。
	"bukken" => array(
		"1" => "飲食店",
		"2" => "営業",
		"3" => "接客・販売",
		"4" => "事務",
	),
	// トップページお知らせ件数
	"info_max" => 10,
	// 種類ごとに地図に表示するアイコンを指定可能。指定なしの場合、標準のマーカーを使用。
	"map_icon" => array(
		"1" => "map_files/icon/icon_color_red.png",
		"2" => "map_files/icon/icon_color_orange.png",
		"3" => "map_files/icon/icon_color_pink.png",
		"4" => "map_files/icon/icon_color_blue.png",
	),
	// クラスター化
	"cluster_num" => 100,	// この件数以上該当の場合クラスター化
	"cluster_div" => 6,		// 縦横この数で分割（4-8位が適当です）
	"cluster_icon" => array(
		"1" => "map_files/icon/icon1.png",
		"2" => "map_files/icon/icon2.png",
		"3" => "map_files/icon/icon3.png",
		"4" => "map_files/icon/icon4.png",
		"5" => "map_files/icon/icon5.png",
		"6" => "map_files/icon/icon6.png",
		"7" => "map_files/icon/icon7.png",
		"8" => "map_files/icon/icon8.png",
		"9" => "map_files/icon/icon9.png",
		"10" => "map_files/icon/icon10.png",
		"20" => "map_files/icon/icon20.png",
		"30" => "map_files/icon/icon30.png",
		"40" => "map_files/icon/icon40.png",
		"50" => "map_files/icon/icon50.png",
		"60" => "map_files/icon/icon60.png",
		"70" => "map_files/icon/icon70.png",
		"80" => "map_files/icon/icon80.png",
		"90" => "map_files/icon/icon90.png",
		"100" => "map_files/icon/icon100.png",
	),
	// オプション選択肢
	"option_list" => array(
		"" => "",
		"1" => "人気",
		"2" => "急募",
		"3" => "募集終了",	//管理画面でこのプルダウンが選択された際に応募ボタンが終了に変わる設定です。この行を変更する際は要注意！
		"4" => "オプション4",
		"5" => "オプション5",
		"6" => "オプション6",
		"7" => "オプション7",
		"8" => "オプション8",
		"9" => "オプション9",
		"10" => "オプション10",
	),
	// こだわり条件のアイコン設定（種類ごとに設定可能）
	"icons" => array(
		"1" => array(	// 飲食店
			"1" => "",
			"2" => "",
			"3" => "",
			"4" => "",
			"5" => "",
			"6" => "",
			"7" => "",
			"8" => "",
			"9" => "",
			"10" => "",
			"11" => "",
			"12" => "",
			"13" => "",
			"14" => "",
			"15" => "",
			"16" => "",
			"17" => "",
			"18" => "",
			"19" => "",
			"20" => "",
		),
		"2" => array(	// 営業
			"1" => "",
			"2" => "",
			"3" => "",
			"4" => "",
			"5" => "",
			"6" => "",
			"7" => "",
			"8" => "",
			"9" => "",
			"10" => "",
			"11" => "",
			"12" => "",
			"13" => "",
			"14" => "",
			"15" => "",
			"16" => "",
			"17" => "",
			"18" => "",
			"19" => "",
			"20" => "",
		),
		"3" => array(	// 接客・販売
			"1" => "",
			"2" => "",
			"3" => "",
			"4" => "",
			"5" => "",
			"6" => "",
			"7" => "",
			"8" => "",
			"9" => "",
			"10" => "",
			"11" => "",
			"12" => "",
			"13" => "",
			"14" => "",
			"15" => "",
			"16" => "",
			"17" => "",
			"18" => "",
			"19" => "",
			"20" => "",
		),
		"4" => array(	// 事務
			"1" => "",
			"2" => "",
			"3" => "",
			"4" => "",
			"5" => "",
			"6" => "",
			"7" => "",
			"8" => "",
			"9" => "",
			"10" => "",
			"11" => "",
			"12" => "",
			"13" => "",
			"14" => "",
			"15" => "",
			"16" => "",
			"17" => "",
			"18" => "",
			"19" => "",
			"20" => "",
		),
		"5" => array(	// 
			"1" => "",
			"2" => "",
			"3" => "",
			"4" => "",
			"5" => "",
			"6" => "",
			"7" => "",
			"8" => "",
			"9" => "",
			"10" => "",
			"11" => "",
			"12" => "",
			"13" => "",
			"14" => "",
			"15" => "",
			"16" => "",
			"17" => "",
			"18" => "",
			"19" => "",
			"20" => "",
		),
	),
);
//--------------------
// メール設定
$from_mail = "";	// メールの送信元
$admin_mail = "";	// 管理者にメールを送信する場合
$from_name = "サンプルサイト";	// 送信元の名称
$subject = "お問合せありがとうございました";	// メールの件名
$subject_admin = "お問合せがありました";	// 管理者宛てのメールの件名
// メール文面
$pre_user = "次の通りお問い合わせを承りました";		// ユーザー宛ての前文
$post_user = "改めて回答をお送りいたしますので、しばらくお待ちください";	// ユーザー宛ての後文
//
$pre_admin = "次の問合せがありました\n";	// 管理者宛ての前文
$post_admin = "";	// 管理者宛ての後文
$mail_sama = "様";	// 敬称
// 情報問い合わせ
$mail_item = "title,name,email,comment";
$mail_body = "■ID：{info_id}\n" .
	"■求人名称：{title}\n" .
	"■お名前：{name}\n" .
	"■メールアドレス：{email}\n" .
	"■お問い合わせ詳細：\n" .
	"{comment}\n";
// 一般問い合わせ
$mail_item2 = "name,email,comment";
$mail_body2 = "■お名前：{name}\n" .
	"■メールアドレス：{email}\n" .
	"■お問い合わせ詳細：\n" .
	"{comment}\n";
// エラーメッセージ
$error = array(
	"name" => "お名前を入力してください",
	"email" => "メールアドレスを入力してください",
	"comment" => "お問い合わせ内容を入力してください",
);
// ファイル終了
